### Hierarchy

- unknown
  - MediatedPayoutTxSignatureMessage

## Index

### Constructors

- constructor

### Methods

- clearSenderNodeAddress
- getSenderNodeAddress
- getTradeId
- getTxSignature
- getTxSignature_asB64
- getTxSignature_asU8
- getUid
- hasSenderNodeAddress
- serializeBinary
- setSenderNodeAddress
- setTradeId
- setTxSignature
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MediatedPayoutTxSignatureMessage(): MediatedPayoutTxSignatureMessage

- Inherited from jspb.Message.constructor

  #### Returns MediatedPayoutTxSignatureMessage

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): MediatedPayoutTxSignatureMessage

- - Defined in src/protobuf/pb_pb.d.ts:2002

  #### Returns MediatedPayoutTxSignatureMessage

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1999

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1991

  #### Returns string

### getTxSignature

- getTxSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1994

  #### Returns string | Uint8Array

### getTxSignature_asB64

- getTxSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1996

  #### Returns string

### getTxSignature_asU8

- getTxSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1995

  #### Returns Uint8Array

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1988

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2001

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2004

  #### Returns Uint8Array

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): MediatedPayoutTxSignatureMessage

- - Defined in src/protobuf/pb_pb.d.ts:2000

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns MediatedPayoutTxSignatureMessage

### setTradeId

- setTradeId(value: string): MediatedPayoutTxSignatureMessage

- - Defined in src/protobuf/pb_pb.d.ts:1992

  #### Parameters

  - ##### value: string

  #### Returns MediatedPayoutTxSignatureMessage

### setTxSignature

- setTxSignature(value: string | Uint8Array): MediatedPayoutTxSignatureMessage

- - Defined in src/protobuf/pb_pb.d.ts:1997

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns MediatedPayoutTxSignatureMessage

### setUid

- setUid(value: string): MediatedPayoutTxSignatureMessage

- - Defined in src/protobuf/pb_pb.d.ts:1989

  #### Parameters

  - ##### value: string

  #### Returns MediatedPayoutTxSignatureMessage

### toObject

- toObject(includeInstance?: boolean): MediatedPayoutTxSignatureMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2005

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MediatedPayoutTxSignatureMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MediatedPayoutTxSignatureMessage

- - Defined in src/protobuf/pb_pb.d.ts:2008

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MediatedPayoutTxSignatureMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MediatedPayoutTxSignatureMessage, reader: BinaryReader): MediatedPayoutTxSignatureMessage

- - Defined in src/protobuf/pb_pb.d.ts:2009

  #### Parameters

  - ##### message: MediatedPayoutTxSignatureMessage

  - ##### reader: BinaryReader

  #### Returns MediatedPayoutTxSignatureMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MediatedPayoutTxSignatureMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2007

  #### Parameters

  - ##### message: MediatedPayoutTxSignatureMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MediatedPayoutTxSignatureMessage ): MediatedPayoutTxSignatureMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2006

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MediatedPayoutTxSignatureMessage

  #### Returns MediatedPayoutTxSignatureMessage . AsObject

Generated using TypeDoc